## GoaDocuments GoaDocuments — Generated C code for the org.gnome.OnlineAccounts.Documents D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_documents_interface_info ()
guint | goa_documents_override_properties ()
void | goa_documents_proxy_new ()
GoaDocuments * | goa_documents_proxy_new_finish ()
GoaDocuments * | goa_documents_proxy_new_sync ()
void | goa_documents_proxy_new_for_bus ()
GoaDocuments * | goa_documents_proxy_new_for_bus_finish ()
GoaDocuments * | goa_documents_proxy_new_for_bus_sync ()
GoaDocuments * | goa_documents_skeleton_new ()

## Types and Values

| GoaDocuments
struct | GoaDocumentsIface
struct | GoaDocumentsProxy
struct | GoaDocumentsProxyClass
struct | GoaDocumentsSkeleton
struct | GoaDocumentsSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaDocuments
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaDocumentsSkeleton
        ╰── GDBusProxy
            ╰── GoaDocumentsProxy

## Prerequisites

GoaDocuments requires GObject.

## Implemented Interfaces

GoaDocumentsProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaDocuments.

GoaDocumentsSkeleton implements GDBusInterface and GoaDocuments.

## Known Implementations

GoaDocuments is implemented by GoaDocumentsProxy and GoaDocumentsSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Documents D-Bus interface in C.

## Functions

### goa_documents_interface_info ()

    GDBusInterfaceInfo *
    goa_documents_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.Documents D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### goa_documents_override_properties ()

    guint
    goa_documents_override_properties (GObjectClass *klass,
                                       guint property_id_begin);

Overrides all GObject properties in the GoaDocuments interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### goa_documents_proxy_new ()

    void
    goa_documents_proxy_new (GDBusConnection *connection,
                             GDBusProxyFlags flags,
                             const gchar *name,
                             const gchar *object_path,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Documents. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_documents_proxy_new_finish()` to get the result of the operation.

See `goa_documents_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_documents_proxy_new_finish ()

    GoaDocuments *
    goa_documents_proxy_new_finish (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_documents_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_documents_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaDocumentsProxy]

### goa_documents_proxy_new_sync ()

    GoaDocuments *
    goa_documents_proxy_new_sync (GDBusConnection *connection,
                                  GDBusProxyFlags flags,
                                  const gchar *name,
                                  const gchar *object_path,
                                  GCancellable *cancellable,
                                  GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Documents. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_documents_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaDocumentsProxy]

### goa_documents_proxy_new_for_bus ()

    void
    goa_documents_proxy_new_for_bus (GBusType bus_type,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Like `goa_documents_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_documents_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_documents_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_documents_proxy_new_for_bus_finish ()

    GoaDocuments *
    goa_documents_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_documents_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_documents_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaDocumentsProxy]

### goa_documents_proxy_new_for_bus_sync ()

    GoaDocuments *
    goa_documents_proxy_new_for_bus_sync (GBusType bus_type,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Like `goa_documents_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_documents_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaDocumentsProxy]

### goa_documents_skeleton_new ()

    GoaDocuments *
    goa_documents_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Documents.

#### Returns

The skeleton object.

[transfer full][type GoaDocumentsSkeleton]

## Types and Values

### GoaDocuments

    typedef struct _GoaDocuments GoaDocuments;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Documents.

### struct GoaDocumentsIface

    struct GoaDocumentsIface {
      GTypeInterface parent_iface;
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Documents.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct GoaDocumentsProxy

    struct GoaDocumentsProxy;

The GoaDocumentsProxy structure contains only private data and should only be accessed using the provided API.

### struct GoaDocumentsProxyClass

    struct GoaDocumentsProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaDocumentsProxy.

#### Members

### struct GoaDocumentsSkeleton

    struct GoaDocumentsSkeleton;

The GoaDocumentsSkeleton structure contains only private data and should only be accessed using the provided API.

### struct GoaDocumentsSkeletonClass

    struct GoaDocumentsSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaDocumentsSkeleton.

#### Members